import $http from "@/utils/httpRequest.js";
//代理商和品牌
export const agent = {
  //代理商商铺列表
  agentShopPage: (data) => {
    return $http.request({
      url: `/merchant-api/agent/shop/page`,
      method: "get",
      params: data,
    });
  },
  //代理商市场列表
  agentMarketPage: (data) => {
    return $http.request({
      url: `/merchant-api/agent/market/page`,
      method: "get",
      params: data,
    });
  },
  //品牌商铺列表
  brandStorePage: (data) => {
    return $http.request({
      url: `/merchant-api/brand/shop/page`,
      method: "get",
      params: data,
    });
  },
  //品牌市场列表
  brandMarketPage: (data) => {
    return $http.request({
      url: `/merchant-api/brand/market/page`,
      method: "get",
      params: data,
    });
  },
};
